import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _CLSObject extends _NSObject {
    static alloc(): _CLSObject;
    static new(): _CLSObject;
    init(): _CLSObject;
    /** @abstract The date this object was created. */
    dateCreated(): _NSDate;
    /** @abstract The date this object was last modified. */
    dateLastModified(): _NSDate;
}
export interface _CLSObject extends _NSSecureCoding {
}
